Bug 1309102 - CPU stepping value different in the same VM when started on different hosts, even if baseline is set via libvirt or RHEV
CPU stepping value different in the same VM when started on different hosts, ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 15:29 EST by Dan Yasny
Modified: 2016-04-28 14:50 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-28 14:50:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yasny 2016-02-16 15:29:05 EST
Description of problem:
When starting a VM on different hosts, inside the VM, the CPU stepping value is different

This can interfere with some software that expects the hardware profile to remain static.

Version-Release number of selected component (if applicable):
[root@hv01 ~]# rpm -qa |grep qemu
qemu-img-rhev-2.1.2-23.el7_1.9.x86_64
qemu-kvm-rhev-2.1.2-23.el7_1.9.x86_64
libvirt-daemon-driver-qemu-1.2.8-16.el7_1.4.x86_64
qemu-kvm-common-rhev-2.1.2-23.el7_1.9.x86_64
qemu-kvm-tools-rhev-2.1.2-23.el7_1.9.x86_64
ipxe-roms-qemu-20130517-6.gitc4bce43.el7.noarch


How reproducible:
always

Steps to Reproduce:
1. start a Windows VM on one host
2. get a CPU-z dump
3. restart the VM on a different host with different CPU (both hosts set to same baseline CPU model, e.g. nehalem)
4. check the CPU-z dump again

Actual results:
different stepping values visible

Expected results:
should be exactly the same

Additional info:

This is a minor issue so far, opening as per request from the virt team. 

Support ticket should be #01584470
Comment 8 Eduardo Habkost 2016-02-17 15:36:07 EST
(In reply to Dan Yasny from comment #0)
> Steps to Reproduce:
> 1. start a Windows VM on one host
> 2. get a CPU-z dump
> 3. restart the VM on a different host with different CPU (both hosts set to
> same baseline CPU model, e.g. nehalem)
> 4. check the CPU-z dump again
> 
> Actual results:
> different stepping values visible

This description does not match what we see on the CPU-Z dumps. The CPUID stepping field is kept exactly the same. The only CPUID change seen on the two logs is at CPUID[0x80000008].

Note You need to log in before you can comment on or make changes to this bug.